<script setup>
import { initCollapses, initDropdowns, initModals } from "flowbite";

onMounted(() => {
  initCollapses();
  initDropdowns();

  class dropDownMenu {
    constructor(targetEl, trigerEl) {
      this.targetEl = targetEl;
      this.trigerEl = trigerEl;
      this.init();
    }

    init() {
      this.trigerEl.addEventListener("click", () => {
        this.targetEl.classList.toggle("hidden");
      });
      document.addEventListener("click", (ev) => {
        let clickedEl = ev.target;
        if (clickedEl != this.trigerEl) {
          this.targetEl.classList.add("hidden");
        }
      });
    }
  }

  const dropdownMenuList = document.querySelectorAll("[data-menu-toggle]");
  dropdownMenuList.forEach(function (trigerEl) {
    let targetEl = document.getElementById(
      trigerEl.getAttribute("data-menu-toggle")
    );
    new dropDownMenu(targetEl, trigerEl);
  });
});
</script>
<template>
  <nav class="bg-light-50 py-4 shadow-lg fixed w-full z-20 top-0 left-0">
    <div
      class="container flex flex-wrap items-center justify-between mx-auto px-4"
    >
      <img src="/img/logo.svg" class="h-9 mr-3" alt="Smile Logo" />
      <div class="flex items-center md:order-2">
        <!-- Tampilakn jika user belum login -->
        <button
          type="button"
          class="text-light-50 bg-primary-700 hover:bg-primary-900 focus:ring-4 focus:outline-none focus:ring-primary-700/50 font-Inter font-medium rounded-lg text-sm px-5 py-2.5 text-center inline-flex items-center mr-3 md:mr-0"
        >
          <svg
            class="w-4 h-4 mr-2"
            aria-hidden="true"
            xmlns="http://www.w3.org/2000/svg"
            fill="currentColor"
            viewBox="0 0 18 19"
          >
            <path
              fill-rule="evenodd"
              d="M8.842 18.083a8.8 8.8 0 0 1-8.65-8.948 8.841 8.841 0 0 1 8.8-8.652h.153a8.464 8.464 0 0 1 5.7 2.257l-2.193 2.038A5.27 5.27 0 0 0 9.09 3.4a5.882 5.882 0 0 0-.2 11.76h.124a5.091 5.091 0 0 0 5.248-4.057L14.3 11H9V8h8.34c.066.543.095 1.09.088 1.636-.086 5.053-3.463 8.449-8.4 8.449l-.186-.002Z"
              clip-rule="evenodd"
            />
          </svg>
          Sign in
        </button>
        <!-- Tampilkan DropDown user button jika user sudah login -->
        <!-- Dropdown user menu button -->
        <!-- <button
          type="button"
          class="flex mr-3 text-sm bg-primary-700 rounded-full shadow-lg md:mr-0 ring-4 ring-light-100 focus:ring-primary-300"
          id="user-menu-button"
          aria-expanded="false"
          data-dropdown-toggle="user-dropdown"
          data-dropdown-placement="bottom"
          data-dropdown-offset-distance="25"
        >
          <span class="sr-only">Open user menu</span>
          <img
            class="w-8 h-8 rounded-full"
            src="/img/user.svg"
            alt="user photo"
          />
        </button> -->
        <!-- Dropdown user menu -->
        <div
          class="z-50 hidden my-4 text-base list-none bg-white divide-y divide-gray-100 rounded-lg shadow dark:bg-gray-700 dark:divide-gray-600"
          id="user-dropdown"
        >
          <div class="px-4 py-3">
            <span class="block text-sm text-gray-900 dark:text-white"
              >Dofir Fauzi</span
            >
            <span
              class="block text-sm text-gray-500 truncate dark:text-gray-400"
              >dofirfauzi@tazkia.ac.id</span
            >
          </div>
          <ul class="py-2" aria-labelledby="user-menu-button">
            <li>
              <a
                href="#"
                class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white"
                >Sign out</a
              >
            </li>
          </ul>
        </div>
        <!-- Toggle navbar menu -->
        <button
          data-collapse-toggle="navbar-user"
          type="button"
          class="inline-flex items-center p-2 w-10 h-10 justify-center text-sm text-dark-500 rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-dark-200"
          aria-controls="navbar-user"
          aria-expanded="false"
        >
          <span class="sr-only">Open main menu</span>
          <svg
            class="w-5 h-5"
            aria-hidden="true"
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 17 14"
          >
            <path
              stroke="currentColor"
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M1 1h15M1 7h15M1 13h15"
            />
          </svg>
        </button>
      </div>
      <!-- Nav Menu -->
      <div
        class="justify-between hidden w-full md:flex md:w-auto md:order-1 md:px-4 font-Inter"
        id="navbar-user"
      >
        <ul class="flex flex-col md:flex-row md:space-x-6">
          <li>
            <NuxtLink
              to="/"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Beranda</NuxtLink
            >
          </li>
          <li>
            <a
              href="https://library.tazkia.ac.id"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Perpustakaan</a
            >
          </li>

          <li>
            <a
              href="https://elearning.tazkia.ac.id/"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >E-Learning</a
            >
          </li>
          <li>
            <a
              href="https://quran.tazkia.ac.id"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Qur'an</a
            >
          </li>
          <li>
            <a
              href="https://hadits.tazkia.ac.id"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Hadits</a
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
</template>

<style>
#navbar-user .router-link-active {
  @apply text-light-50 md:text-gray-900 bg-primary-700 md:bg-transparent;
}

#navbar-user .dropdown-menu .router-link-active {
  @apply text-dark-400 bg-gray-100;
}
</style>
